Bug 220727 - system-config-network-gui crashes
system-config-network-gui crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-24 13:17 EST by Jean-Luc Fontaine
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.3.95
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 06:13:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jean-Luc Fontaine 2006-12-24 13:17:12 EST
Description of problem:
system-config-network-gui crashes on up-to-date FC6

Version-Release number of selected component (if applicable):
1.3.30

How reproducible:
always

Steps to Reproduce:
1. run system-config-network-gui
2.
3.
  
Actual results:
/usr/share/system-config-network/netconfpkg/NC_functions.py:30:
DeprecationWarning: rhpl.log is deprecated and will be removed; use python's
logging instead
  import rhpl.log
Component: system-config-network
Version: 1.3.30
Summary: TB9b5123b2 NC_functions.py:411:getDeviceType:AttributeError: 'module'
object has no attribute 'get_iwconfig'

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
263, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
294, in load
    self.loadHardware()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
306, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
781, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
637, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
476, in updateFromSystem
    self.updateFromKudzu()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
440, in updateFromKudzu
    i = self.addHardware(getDeviceType(dev))
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py", line 411,
in getDeviceType
    info = ethtool.get_iwconfig(devname)
AttributeError: 'module' object has no attribute 'get_iwconfig'

Local variables in innermost frame:
i: ^cipcb[0-9]*(:[0-9]+)?$
UNKNOWN: Unknown
devname: eth0
type: Ethernet



Expected results:


Additional info:
Comment 1 Jean-Luc Fontaine 2006-12-24 13:21:36 EST
happens even after removal of /etc/sysconfig/network-scripts/ifcfg-eth?
Comment 2 Harald Hoyer 2007-01-10 06:13:55 EST
> system-config-network-gui crashes on up-to-date FC6

errr.. current FC6 version is 1.3.96 !!!

Note You need to log in before you can comment on or make changes to this bug.